### File

`packages/components/eui-tree/eui-tree.model.ts`

### Index

###### Methods
Public getCurrentStartPage Public getViewData Public isAtMax Public paginateNext Public paginatePrev Public setCurrentStartPage

### Constructor

`constructor(data: T[], startPage: number, renderedPageCount: number, perPage: number)`
Parameters :
Name | Type | Optional
data | `T[]` | No
startPage | `number` | No
renderedPageCount | `number` | No
perPage | `number` | No

### Methods

Public getCurrentStartPage
`getCurrentStartPage()`
Returns : `number`

Public getViewData
`getViewData()`
Returns : `literal type`

Public isAtMax
`isAtMax()`
Returns : `boolean`

Public paginateNext
`paginateNext()`
Returns : `literal type`

Public paginatePrev
`paginatePrev()`
Returns : `literal type`

Public setCurrentStartPage
`setCurrentStartPage(startPage: number)`
Parameters :
Name | Type | Optional
startPage | `number` | No
Returns : `void`

# results matching ""

# No results matching ""